commit: 22cceffb61a7dabca058068511f7242740d25e88
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 18 19:23:06 2020 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Thu Jun 18 19:27:09 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22cceffb
media-gfx/darktable: only test the toolchain if [[ ${MERGE_TYPE} != binary ]]
Again, not touching 2.6.2.
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
media-gfx/darktable/darktable-3.0.2-r1.ebuild | 18 ++++++++++--------
media-gfx/darktable/darktable-3.0.2.ebuild | 18 ++++++++++--------
media-gfx/darktable/darktable-9999.ebuild | 16 +++++++++-------
3 files changed, 29 insertions(+), 23 deletions(-)
diff --git a/media-gfx/darktable/darktable-3.0.2-r1.ebuild
b/media-gfx/darktable/darktable-3.0.2-r1.ebuild
index 56221e9d71d..a27d9ec520c 100644
--- a/media-gfx/darktable/darktable-3.0.2-r1.ebuild
+++ b/media-gfx/darktable/darktable-3.0.2-r1.ebuild
@@ -78,14 +78,16 @@ PATCHES=(
S="${WORKDIR}/${P/_/~}"
pkg_pretend() {
- # Bug #695658
- if tc-is-gcc; then
- test-flags-CC -floop-block &> /dev/null || \
- die "Please switch to a gcc version built with
USE=graphite"
- fi
-
- if use openmp ; then
- tc-has-openmp || die "Please switch to an openmp compatible
compiler"
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ # Bug #695658
+ if tc-is-gcc; then
+ test-flags-CC -floop-block &> /dev/null || \
+ die "Please switch to a gcc version built with
USE=graphite"
+ fi
+
+ if use openmp ; then
+ tc-has-openmp || die "Please switch to an openmp
compatible compiler"
+ fi
fi
}
diff --git a/media-gfx/darktable/darktable-3.0.2.ebuild
b/media-gfx/darktable/darktable-3.0.2.ebuild
index a6af926b835..1584653803c 100644
--- a/media-gfx/darktable/darktable-3.0.2.ebuild
+++ b/media-gfx/darktable/darktable-3.0.2.ebuild
@@ -77,14 +77,16 @@ PATCHES=(
S="${WORKDIR}/${P/_/~}"
pkg_pretend() {
- # Bug #695658
- if tc-is-gcc; then
- test-flags-CC -floop-block &> /dev/null || \
- die "Please switch to a gcc version built with
USE=graphite"
- fi
-
- if use openmp ; then
- tc-has-openmp || die "Please switch to an openmp compatible
compiler"
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ # Bug #695658
+ if tc-is-gcc; then
+ test-flags-CC -floop-block &> /dev/null || \
+ die "Please switch to a gcc version built with
USE=graphite"
+ fi
+
+ if use openmp ; then
+ tc-has-openmp || die "Please switch to an openmp
compatible compiler"
+ fi
fi
}
diff --git a/media-gfx/darktable/darktable-9999.ebuild
b/media-gfx/darktable/darktable-9999.ebuild
index 8efe45349c4..422d45185bb 100644
--- a/media-gfx/darktable/darktable-9999.ebuild
+++ b/media-gfx/darktable/darktable-9999.ebuild
@@ -69,14 +69,16 @@ PATCHES=(
)
pkg_pretend() {
- # Bug #695658
- if tc-is-gcc; then
- test-flags-CC -floop-block &> /dev/null || \
- die "Please switch to a gcc version built with
USE=graphite"
- fi
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ # Bug #695658
+ if tc-is-gcc; then
+ test-flags-CC -floop-block &> /dev/null || \
+ die "Please switch to a gcc version built with
USE=graphite"
+ fi
- if use openmp ; then
- tc-has-openmp || die "Please switch to an openmp compatible
compiler"
+ if use openmp ; then
+ tc-has-openmp || die "Please switch to an openmp
compatible compiler"
+ fi
fi
}